com.sun.jna.platform.win32

## Class WinDef.ULONGLONG

- java.lang.Object
- - java.lang.Number
  - - com.sun.jna.IntegerType
    - - com.sun.jna.platform.win32.WinDef.ULONGLONG

All Implemented Interfaces:
  NativeMapped, java.io.Serializable, java.lang.Comparable<WinDef.ULONGLONG>

Enclosing interface:
  WinDef

    public static class WinDef.ULONGLONG
    extends IntegerType
    implements java.lang.Comparable<WinDef.ULONGLONG>

The Class ULONGLONG.

See Also:
  Serialized Form

### Field Summary

Fields
`static int` `SIZE` The Constant SIZE.

### Constructor Summary

Constructors
Constructor and Description
`ULONGLONG()` Instantiates a new ULONGLONG.
`ULONGLONG(long value)` Instantiates a new ULONGLONG.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `compareTo(WinDef.ULONGLONG other)`

### Methods inherited from class com.sun.jna.IntegerType

`compare, compare, compare, doubleValue, equals, floatValue, fromNative, hashCode, intValue, longValue, nativeType, setValue, toNative, toString`

### Methods inherited from class java.lang.Number

`byteValue, shortValue`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### SIZE

    public static final int SIZE

The Constant SIZE.

### Constructor Detail

#### ULONGLONG

    public ULONGLONG()

Instantiates a new ULONGLONG.

#### ULONGLONG

    public ULONGLONG(long value)

Instantiates a new ULONGLONG.

Parameters:
  `value` - the value

### Method Detail

#### compareTo

    public int compareTo(WinDef.ULONGLONG other)

Specified by:
  `compareTo` in interface `java.lang.Comparable<WinDef.ULONGLONG>`

Copyright © 2007-2016 Timothy Wall. All Rights Reserved.